## org.biojava.bio.program.homologene
Class OrthoPairFilter.Or

    java.lang.Object
      org.biojava.bio.program.homologene.OrthoPairFilter.Or

All Implemented Interfaces:
  OrthoPairFilter

Enclosing interface:
  OrthoPairFilter

    public static final class OrthoPairFilter.Or

extends Object
implements OrthoPairFilter

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.program.homologene.OrthoPairFilter
`OrthoPairFilter.AcceptAll, OrthoPairFilter.And, OrthoPairFilter.ByMaxIdentity, OrthoPairFilter.ByMinIdentity, OrthoPairFilter.ByRef, OrthoPairFilter.BySimilarityType, OrthoPairFilter.Not, OrthoPairFilter.Or, OrthoPairFilter.Xor`

Constructor Summary
`OrthoPairFilter.Or(OrthoPairFilter a, OrthoPairFilter b)`

Method Summary
`boolean` `accept(OrthoPair pair)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrthoPairFilter.Or

    public OrthoPairFilter.Or(OrthoPairFilter a,
                              OrthoPairFilter b)

Method Detail

### accept

    public boolean accept(OrthoPair pair)

  Specified by:
    `accept` in interface `OrthoPairFilter`